Get enrichment jobs
curl --request GET \
--url https://api.repromptai.com/v1/{org}/place_enrichment/jobs \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.repromptai.com/v1/{org}/place_enrichment/jobs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.repromptai.com/v1/{org}/place_enrichment/jobs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"jobs": [
{
"place_id": "<string>",
"status": "<string>",
"job_metadata": {
"attribute_status": {},
"last_enriched": "2023-11-07T05:31:56Z",
"enrichment_metadata": {},
"country_code": "<string>"
},
"inputs": {
"name": "<string>",
"full_address": "<string>",
"country_code": "<string>",
"latitude": 123,
"longitude": 123,
"category": "<string>",
"website": "<string>",
"phone": "<string>",
"id": "<string>",
"input_type": "place",
"wkt_geometry": "<string>",
"street": "<string>",
"city": "<string>",
"house": "<string>",
"state": "<string>",
"postalCode": "<string>",
"country": "<string>",
"opening_hours": {},
"source": "<string>"
},
"outputs": {
"reprompt_id": "<string>",
"coordinates": {
"[0]": 123,
"[1]": 123
},
"coordinates_distance": 123,
"open_closed_status": "<string>",
"date_closed": "<string>",
"date_opened": "<string>",
"chain_id": "<string>",
"chain_name": "<string>",
"chain_domains": [
"<string>"
],
"alternative_names": [
"<string>"
],
"chain_wikipedia_url": "<string>",
"number_of_locations": 123,
"logo_url": "<string>",
"facebook_followers": 123,
"facebook_likes": 123,
"facebook_page_id": "<string>",
"facebook_bio": "<string>",
"instagram_followers": 123,
"instagram_media_count": 123,
"instagram_username": "<string>",
"instagram_profile_pic_url": "<string>",
"instagram_bio": "<string>",
"approximate_review_count": "<string>",
"approximate_average_rating": 123,
"name": "<string>",
"multilingual_names": {},
"alt_name": "<string>",
"official_name": "<string>",
"brand_name": "<string>",
"common_names": [
"<string>"
],
"storefront_images": [
{
"url": "<string>"
}
],
"available_services": {},
"has_delivery": true,
"has_takeout": true,
"has_dining": true,
"has_pickup": true,
"address": {
"full_address": "<string>",
"unit_number": "<string>",
"floor": "<string>",
"building": "<string>",
"block": "<string>",
"km": "<string>",
"house": "<string>",
"street": "<string>",
"neighborhood": "<string>",
"suburb": "<string>",
"city": "<string>",
"state": "<string>",
"country": "<string>",
"postalCode": "<string>"
},
"address_localized": {
"administrative_area_level1": "Daerah Khusus Ibukota Jakarta",
"administrative_area_level2": "Kota Jakarta Selatan",
"administrative_area_level3": "Setiabudi",
"administrative_area_level4": "Karet Kuningan",
"building": "Ruko Bekasi Town Square",
"country": "Indonesia",
"gang": "Gg. Jati",
"postcode": "35365",
"rt_rw": "RT.10/RW.7",
"street": "Jl. Setia Budi Selatan Raya"
},
"categories": [
"<string>"
],
"website": "<string>",
"phone": "<string>",
"phone_additional": [
"<string>"
],
"naics_code": "<string>",
"naics_description": "<string>",
"merchant_category_code": "<string>",
"mcc_description": "<string>",
"merchant_category_group": "<string>",
"merchant_super_industry": "<string>",
"located_within": {},
"instagram": "<string>",
"facebook": "<string>",
"tiktok": "<string>",
"opening_hours": {},
"opening_hours_grouped_by_hours": [
{
"days": [],
"opens": "<string>",
"closes": "<string>"
}
],
"is_open_24h": true,
"menu_urls": [
"<string>"
],
"menu_url_official": "<string>",
"menu_content": [
{
"sections": [
{
"name": "<string>",
"items": [
{
"name": "<string>",
"description": "<string>",
"data": {
"choices": [
{
"name": "<string>",
"prices": {
"min": "<string>",
"max": ""
}
}
]
}
}
],
"description": "<string>"
}
],
"name": "Menu",
"description": "<string>",
"footnote": "<string>",
"currency": "<string>"
}
],
"menu_images": [
"<string>"
],
"price_tier": 123,
"average_price": 123,
"currency": "<string>",
"cuisines": [
"<string>"
],
"review_count": 123,
"average_rating": 123,
"wilson_score": 123,
"popularity": 123,
"review_summary": "<string>",
"summary": "<string>",
"recent_review_count": 123,
"instagram_profile": {},
"building_footprint": null,
"entity_type": "<string>",
"digital_footprint": "<string>",
"place_definition": [
"<string>"
],
"place_reality": [
"<string>"
],
"parking_spaces_total": 123,
"parking_spaces_street": 123,
"parking_spaces_shared": 123,
"parking_spaces_dedicated": 123,
"parking_spaces_image_url": "<string>",
"traffic_control": true,
"one_line_summary": "<string>",
"site_quality_score": "<string>",
"accessibility_rating": "<string>",
"accessibility_summary": "<string>",
"primary_turns_required": 123,
"min_turns": 123,
"primary_turns": 123,
"primary_turns_route_matrix_visualization": {},
"visibility_rating": "<string>",
"signage_summary": "<string>",
"has_brand_signage": true,
"pylon_sign_exists": true,
"pylon_coordinates": [
123
],
"pylon_latitude": 123,
"pylon_longitude": 123,
"pylon_number_of_brands": "<string>",
"pylon_reasoning": "<string>",
"pylon_includes_brand_sign": true,
"monument_sign_exists": true,
"monument_coordinates": [
123
],
"monument_latitude": 123,
"monument_longitude": 123,
"monument_number_of_brands": "<string>",
"monument_reasoning": "<string>",
"monument_includes_brand_sign": true,
"sign_locations": [
{}
],
"location_type": "<string>",
"building_condition": "<string>",
"building_condition_score": "<string>",
"shopping_center_condition": "<string>",
"shopping_center_condition_score": "<string>",
"location_category": "<string>",
"building_condition_summary": "<string>",
"building_condition_rating": "<string>",
"key_strengths": [
"<string>"
],
"potential_concerns": [
"<string>"
],
"route_matrix_visualization": {},
"prominence": "<string>",
"entrance_views": [
{}
],
"reprompt_core_attributes": {},
"apple_business_attributes": {}
},
"reasoning": {
"open_closed_status": "<string>",
"address": "<string>",
"categories": "<string>",
"website": "<string>",
"phone": "<string>",
"facebook": "<string>",
"instagram": "<string>",
"tiktok": "<string>",
"opening_hours": "<string>",
"name": "<string>",
"coordinates": "<string>",
"price_tier": "<string>",
"menu": "<string>",
"cuisine": "<string>",
"approximate_user_reviews": "<string>",
"chain": "<string>",
"entity_type": "<string>",
"digital_footprint": "<string>",
"place_definition": "<string>",
"place_reality": "<string>",
"merchant": "<string>",
"located_within": "<string>",
"parking_spaces": "<string>",
"parking_spaces_total": "<string>",
"parking_spaces_street": "<string>",
"parking_spaces_shared": "<string>",
"parking_spaces_dedicated": "<string>",
"one_line_summary": "<string>",
"signage": "<string>",
"building_condition": "<string>",
"entrances": "<string>",
"primary_turns": "<string>",
"traffic_control": "<string>",
"reprompt_core_attributes": "<string>",
"apple_business_attributes": "<string>",
"storefront_images": "<string>",
"available_services": "<string>",
"reprompt_id": "<string>"
},
"confidence_scores": {}
}
],
"total": 123,
"limit": 123,
"offset": 123
}jobs
Get enrichment jobs
Returns a JobListResponse by default. With groupBy=day returns a PaginatedBatchesResponse of one synthetic batch per UTC day.
GET
/
place_enrichment
/
jobs
Get enrichment jobs
curl --request GET \
--url https://api.repromptai.com/v1/{org}/place_enrichment/jobs \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.repromptai.com/v1/{org}/place_enrichment/jobs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.repromptai.com/v1/{org}/place_enrichment/jobs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"jobs": [
{
"place_id": "<string>",
"status": "<string>",
"job_metadata": {
"attribute_status": {},
"last_enriched": "2023-11-07T05:31:56Z",
"enrichment_metadata": {},
"country_code": "<string>"
},
"inputs": {
"name": "<string>",
"full_address": "<string>",
"country_code": "<string>",
"latitude": 123,
"longitude": 123,
"category": "<string>",
"website": "<string>",
"phone": "<string>",
"id": "<string>",
"input_type": "place",
"wkt_geometry": "<string>",
"street": "<string>",
"city": "<string>",
"house": "<string>",
"state": "<string>",
"postalCode": "<string>",
"country": "<string>",
"opening_hours": {},
"source": "<string>"
},
"outputs": {
"reprompt_id": "<string>",
"coordinates": {
"[0]": 123,
"[1]": 123
},
"coordinates_distance": 123,
"open_closed_status": "<string>",
"date_closed": "<string>",
"date_opened": "<string>",
"chain_id": "<string>",
"chain_name": "<string>",
"chain_domains": [
"<string>"
],
"alternative_names": [
"<string>"
],
"chain_wikipedia_url": "<string>",
"number_of_locations": 123,
"logo_url": "<string>",
"facebook_followers": 123,
"facebook_likes": 123,
"facebook_page_id": "<string>",
"facebook_bio": "<string>",
"instagram_followers": 123,
"instagram_media_count": 123,
"instagram_username": "<string>",
"instagram_profile_pic_url": "<string>",
"instagram_bio": "<string>",
"approximate_review_count": "<string>",
"approximate_average_rating": 123,
"name": "<string>",
"multilingual_names": {},
"alt_name": "<string>",
"official_name": "<string>",
"brand_name": "<string>",
"common_names": [
"<string>"
],
"storefront_images": [
{
"url": "<string>"
}
],
"available_services": {},
"has_delivery": true,
"has_takeout": true,
"has_dining": true,
"has_pickup": true,
"address": {
"full_address": "<string>",
"unit_number": "<string>",
"floor": "<string>",
"building": "<string>",
"block": "<string>",
"km": "<string>",
"house": "<string>",
"street": "<string>",
"neighborhood": "<string>",
"suburb": "<string>",
"city": "<string>",
"state": "<string>",
"country": "<string>",
"postalCode": "<string>"
},
"address_localized": {
"administrative_area_level1": "Daerah Khusus Ibukota Jakarta",
"administrative_area_level2": "Kota Jakarta Selatan",
"administrative_area_level3": "Setiabudi",
"administrative_area_level4": "Karet Kuningan",
"building": "Ruko Bekasi Town Square",
"country": "Indonesia",
"gang": "Gg. Jati",
"postcode": "35365",
"rt_rw": "RT.10/RW.7",
"street": "Jl. Setia Budi Selatan Raya"
},
"categories": [
"<string>"
],
"website": "<string>",
"phone": "<string>",
"phone_additional": [
"<string>"
],
"naics_code": "<string>",
"naics_description": "<string>",
"merchant_category_code": "<string>",
"mcc_description": "<string>",
"merchant_category_group": "<string>",
"merchant_super_industry": "<string>",
"located_within": {},
"instagram": "<string>",
"facebook": "<string>",
"tiktok": "<string>",
"opening_hours": {},
"opening_hours_grouped_by_hours": [
{
"days": [],
"opens": "<string>",
"closes": "<string>"
}
],
"is_open_24h": true,
"menu_urls": [
"<string>"
],
"menu_url_official": "<string>",
"menu_content": [
{
"sections": [
{
"name": "<string>",
"items": [
{
"name": "<string>",
"description": "<string>",
"data": {
"choices": [
{
"name": "<string>",
"prices": {
"min": "<string>",
"max": ""
}
}
]
}
}
],
"description": "<string>"
}
],
"name": "Menu",
"description": "<string>",
"footnote": "<string>",
"currency": "<string>"
}
],
"menu_images": [
"<string>"
],
"price_tier": 123,
"average_price": 123,
"currency": "<string>",
"cuisines": [
"<string>"
],
"review_count": 123,
"average_rating": 123,
"wilson_score": 123,
"popularity": 123,
"review_summary": "<string>",
"summary": "<string>",
"recent_review_count": 123,
"instagram_profile": {},
"building_footprint": null,
"entity_type": "<string>",
"digital_footprint": "<string>",
"place_definition": [
"<string>"
],
"place_reality": [
"<string>"
],
"parking_spaces_total": 123,
"parking_spaces_street": 123,
"parking_spaces_shared": 123,
"parking_spaces_dedicated": 123,
"parking_spaces_image_url": "<string>",
"traffic_control": true,
"one_line_summary": "<string>",
"site_quality_score": "<string>",
"accessibility_rating": "<string>",
"accessibility_summary": "<string>",
"primary_turns_required": 123,
"min_turns": 123,
"primary_turns": 123,
"primary_turns_route_matrix_visualization": {},
"visibility_rating": "<string>",
"signage_summary": "<string>",
"has_brand_signage": true,
"pylon_sign_exists": true,
"pylon_coordinates": [
123
],
"pylon_latitude": 123,
"pylon_longitude": 123,
"pylon_number_of_brands": "<string>",
"pylon_reasoning": "<string>",
"pylon_includes_brand_sign": true,
"monument_sign_exists": true,
"monument_coordinates": [
123
],
"monument_latitude": 123,
"monument_longitude": 123,
"monument_number_of_brands": "<string>",
"monument_reasoning": "<string>",
"monument_includes_brand_sign": true,
"sign_locations": [
{}
],
"location_type": "<string>",
"building_condition": "<string>",
"building_condition_score": "<string>",
"shopping_center_condition": "<string>",
"shopping_center_condition_score": "<string>",
"location_category": "<string>",
"building_condition_summary": "<string>",
"building_condition_rating": "<string>",
"key_strengths": [
"<string>"
],
"potential_concerns": [
"<string>"
],
"route_matrix_visualization": {},
"prominence": "<string>",
"entrance_views": [
{}
],
"reprompt_core_attributes": {},
"apple_business_attributes": {}
},
"reasoning": {
"open_closed_status": "<string>",
"address": "<string>",
"categories": "<string>",
"website": "<string>",
"phone": "<string>",
"facebook": "<string>",
"instagram": "<string>",
"tiktok": "<string>",
"opening_hours": "<string>",
"name": "<string>",
"coordinates": "<string>",
"price_tier": "<string>",
"menu": "<string>",
"cuisine": "<string>",
"approximate_user_reviews": "<string>",
"chain": "<string>",
"entity_type": "<string>",
"digital_footprint": "<string>",
"place_definition": "<string>",
"place_reality": "<string>",
"merchant": "<string>",
"located_within": "<string>",
"parking_spaces": "<string>",
"parking_spaces_total": "<string>",
"parking_spaces_street": "<string>",
"parking_spaces_shared": "<string>",
"parking_spaces_dedicated": "<string>",
"one_line_summary": "<string>",
"signage": "<string>",
"building_condition": "<string>",
"entrances": "<string>",
"primary_turns": "<string>",
"traffic_control": "<string>",
"reprompt_core_attributes": "<string>",
"apple_business_attributes": "<string>",
"storefront_images": "<string>",
"available_services": "<string>",
"reprompt_id": "<string>"
},
"confidence_scores": {}
}
],
"total": 123,
"limit": 123,
"offset": 123
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Query Parameters
If true, only return jobs with batchId IS NULL (i.e. submitted via the single-job API endpoint).
If set to day, returns a paginated list of daily summaries (same shape as /batches) instead of individual jobs. Each row represents one UTC calendar day.
UTC date (YYYY-MM-DD). When set, restricts results to jobs created on that day.
Response
200 - application/json
Successful Response
⌘I